Probs installing ruby-fcgi on Linux


#1

Hi. I’ve installed fcgi 2.4.0 on a CentOS 4.2 box without problems
using:

./configure --prefix=/usr/local/fcgi --exec-prefix=/usr/local/fcgi
make && make install

When I try to install ruby-fcgi bindings I get the following:

[root@machine ruby-fcgi-0.8.6]# ruby install.rb config –
–with-fcgi-lib=/usr/local/fcgi/lib
–with-fcgi-include=/usr/local/fcgi/include
install.rb: entering config phase…
—> lib
<— lib
—> ext
—> ext/fcgi
/usr/bin/ruby /root/install/ruby-fcgi-0.8.6/ext/fcgi/extconf.rb
–with-fcgi-lib=/usr/local/fcgi/lib
–with-fcgi-include=/usr/local/fcgi/include
checking for fcgiapp.h… yes
checking for FCGX_Accept() in -lfcgi… no
<— ext/fcgi
<— ext
install.rb: config done.

So for some reason, the function FCGX_Accept() cannot be found. I get
the same error if I try installing via gem.

Anyone know what possibly can be wrong?

Thanks.

Morten